[SciPy-dev] version check for dual?

Arnd Baecker arnd.baecker at web.de
Thu Jan 5 09:29:20 CST 2006


Hi,

I just tried to install numpy on another machine:

======================================================================
ERROR: check_basic (numpy.core.defmatrix.test_defmatrix.test_algebra)
----------------------------------------------------------------------
Traceback (most recent call last):
  File
"/home/baecker/python2/scipy_lintst_n_scsl/lib/python2.4/site-packages/numpy/core/tests/test_defmatrix.py",
line 111, in check_basic
    assert allclose((mA ** -i).A, B)
  File
"/home/baecker/python2//scipy_lintst_n_scsl/lib/python2.4/site-packages/numpy/core/defmatrix.py",
line 148, in __pow__
    x = self.I
  File
"/home/baecker/python2//scipy_lintst_n_scsl/lib/python2.4/site-packages/numpy/core/defmatrix.py",
line 202, in getI
    from numpy.dual import inv
  File
"/home/baecker/python2//scipy_lintst_n_scsl/lib/python2.4/site-packages/numpy/dual.py",
line 32, in ?
    inv = linpkg.inv
  File
"/home/baecker/python2/lib/python2.4/site-packages/scipy_base/ppimport.py",
line 303, in __getattr__
    module = self._ppimport_importer()
  File
"/home/baecker/python2/lib/python2.4/site-packages/scipy_base/ppimport.py",
line 273, in _ppimport_importer
    module = __import__(name,None,None,['*'])
  File
"/home/baecker/python2/lib/python2.4/site-packages/scipy/linalg/__init__.py",
line 8, in ?
    from basic import *
  File
"/home/baecker/python2/lib/python2.4/site-packages/scipy/linalg/basic.py",
line 12, in ?
    from lapack import get_lapack_funcs
  File
"/home/baecker/python2/lib/python2.4/site-packages/scipy/linalg/lapack.py",
line 15, in ?
    import flapack
ImportError:
/home/baecker/python2/lib/python2.4/site-packages/scipy/linalg/flapack.so:
undefined symbol: for_cpstr

----------------------------------------------------------------------
Ran 178 tests in 3.777s


The reason is that an (old) new scipy from site-packages is found.
In this particular case I *could* delete that stuff,
but in general a user might want to test out the new numpy
by installing it to a different place than the system-wide
site-packages. In such a situation he could not remove
the `site-packages/scipy/` stuff (unless he has root rights).

I am not quite sure how to resolve this (apart from installing
a recent scipy to the same place as numpy).
Could maybe a version check help?

Best, Arnd




More information about the Scipy-dev mailing list